import request from '@/utils/request'
import axios from 'axios'
/**
 * @param parameter
 * @returns {*}
 */
// 登录
export function login(parameter) {
  return request({
    url: '/api/login',
    method: 'post',
    data: parameter
  })
}
// 发送验证码
export function getSmsCaptcha(parameter) {
  return request({
    url: '/api/verify-code',
    method: 'post',
    data: parameter
  })
}
// 退出登录
export function logout(parameter) {
  return request({
    url: '/api/login',
    method: 'post',
    data: parameter
  })
}

// 刷新token
export function refreshToken(parameter) {
  return request({
    url: '/api/refresh_token',
    method: 'get',
    data: parameter
  })
}

// 获取用户信息
export function getProfile(parameter) {
  return request({
    url: '/api/user/profile',
    method: 'get',
    data: parameter
  })
}
// mock
export function getToken(parameter) {
  return request({
    url: '/api/info',
    method: 'get',
    data: parameter
  })
}
// mock
export function getTokenil(parameter) {
  return axios.get('/api/info')
}
